Bug 1266960 - unable to properly switch from a window to another window
unable to properly switch from a window to another window
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: wayland (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-28 12:34 EDT by nmreis
Modified: 2016-12-20 09:48 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:48:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description nmreis 2015-09-28 12:34:36 EDT
Description of problem:

When trying to change focus from one window (ex. web browser) to another one (ex. console terminal) using mouse click, I'm often forced to click on the terminal window several times to be able to change focus into it.


Version-Release number of selected component (if applicable):
23

How reproducible:

always.

Steps to Reproduce:
1. Open a web browser (ex. chrome) and a console terminal and start browsing the web.
2. after a bit try to change focus between web browser and console terminal window and watch which is the current app with focus on the top left corner of the screen(just right of Activities). try to change focus multiple times between each other.
3.You will notice from time to time that the focus only changes after several clicks on the window you are moving to.

Actual results:

It's kind of annoying when switching focus from one window to another, because you are quite often forced to click multiple times on the target window to effectively change focus into it.

Expected results:

Change focus flawlessly between windows.


Additional info:

Only happens with gnome wayland sessions.
Comment 1 Anass Ahmed 2016-05-07 16:30:21 EDT
With me, It happens using "Super + Tab" combination. It also appears after viewing the window switcher (by holding the combination for a few seconds).

I should trigger the combination twice to focus on the application.

Maybe this also have something to do with maximized vs normal size windows.
Comment 2 Fedora End Of Life 2016-11-24 07:39:11 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Anass Ahmed 2016-11-24 07:41:40 EST
I think this has been resolved with current release, I used to have this issue back then (maybe it was fixed with F24, I didn't really notice).
Comment 4 Fedora End Of Life 2016-12-20 09:48:49 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.